Package org.apache.catalina.tribes.group

## Class GroupChannel.InterceptorIterator

- java.lang.Object
- - org.apache.catalina.tribes.group.GroupChannel.InterceptorIterator

- All Implemented Interfaces:
    `java.util.Iterator<ChannelInterceptor>`
  Enclosing class:
    GroupChannel

      public static class GroupChannel.InterceptorIterator
      extends java.lang.Object
      implements java.util.Iterator<ChannelInterceptor>

  An iterator to loop through the interceptors in a channel.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InterceptorIterator​(ChannelInterceptor start, ChannelInterceptor end)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `ChannelInterceptor` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### InterceptorIterator

          public InterceptorIterator​(ChannelInterceptor start,
                                     ChannelInterceptor end)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<ChannelInterceptor>`

    - #### next

          public ChannelInterceptor next()

      Specified by:
        `next` in interface `java.util.Iterator<ChannelInterceptor>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<ChannelInterceptor>`